Bug 180288 - Prevent ZIPs from being committed in Hg changesets
Prevent ZIPs from being committed in Hg changesets
Status: NEW
Product: www
Classification: Unclassified
Component: Builds & Repositories
6.x
All All
: P2 (vote)
: TBD
Assigned To: pgebauer
Admins
: NO701, NO71, NO72, NO73, NO74, NO80
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-04 08:22 UTC by Jesse Glick
Modified: 2014-04-01 11:43 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-02-04 08:22:22 UTC
Recent developer mistakes have involved accidentally committing quite large JAR files to repository history when they should have been taken from external binaries. Even if corrected in sources, the changesets continue to consume a lot of space in history that cannot be undone.

We should have a Mercurial hook preventing anyone from pushing any changeset containing a new or modified ZIP file. (Even if you need to store e.g. sample projects for tests, it is best to keep them unpackaged in the repo since that will compress much better and it is easier to follow modifications.)
Comment 1 pgebauer 2012-11-14 09:17:01 UTC
Based on code in the file http://hg.netbeans.org/nb-hooks/file/3101141d5868/forbid_external.py ,  I would say that all file with extension zip, jar, gz, bz2, gem and dll are forbidden to commit.

Could you please tell me what miss in the mentioned hook?
Comment 2 Jesse Glick 2012-12-03 18:32:49 UTC
(In reply to comment #1)
> Based on code in the file
> http://hg.netbeans.org/nb-hooks/file/3101141d5868/forbid_external.py ,  I would
> say that all file with extension zip, jar, gz, bz2, gem and dll are forbidden
> to commit.

Only in external/ or release/ dirs. The problem is ZIPs being committed from other places.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo